// Cone.pov : preview scene for Persistence of Textures
// B.Thery - 24/02/2002
//
// - This scene renders the texture applied on a cone.
// - The checkers cells are 1 unit wide.
//
#include "btex.inc"
#include "floor.inc"
#include "walls.inc"
#include "sky.inc"

light_source {
	<-2,10,-10>, color rgb <1,1,1>
}

camera {
	location  <-2.5,2.75,-2.5>
    direction z
    up y
    right x*IMG_WIDTH/IMG_HEIGHT
	look_at <0,1,0>
}

torus {
	0.8, 0.4
	rotate x*90
	translate y*1.2
	texture { POT_TEXTURE }
}

